<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" href="css/style.css"/>
    <link rel="stylesheet" href="css/bootstrap/bootstrap5-0-2.min.css">
    <link rel="stylesheet" href="css/bootstrap/bootstrap-switch.min.css"/>
    <link rel="stylesheet" href="css/admin_style.css">
    <link rel="shortcut icon" href="images/favicon.png">
    <title>Configure Schedules</title>
</head>
<body class="white">
<div id="loading_image" class="collapse">
    <div class="loadingbar"></div>
</div>
<jsp:include page="header.jsp"/>
<div class="row me-0">
    <div class="col-md-2">
        <s:include value="menu.jsp">
            <s:param name="currentmenu" value="3"/>
        </s:include>
    </div>
    <div class="col-md-10 mt-4">
    <div class="container-fluid" id="actionMessages">

             <s:include value="actionmessages.jsp"/>

       </div>
        <div class="container-fluid">
            <div class="card ldap-panel shadow">
                <div class="card-header">
                    <h4 class="mt-2 h4">Configure LDAP-miniOrange Sync
                        <a href="https://www.miniorange.com/miniorange-ldap-gateway#step9" target="_blank">
                            <i class="fas fa-external-link-alt note-color mt-0 pt-0"></i>
                        </a>
                    </h4>
                </div>
                <div class="card-body">

                <nav>
                  <div class="nav nav-tabs" id="nav-tab" role="tablist">
                    <button class="nav-link active" id="configure-schedule-tab" data-bs-toggle="tab" data-bs-target="#configure-schedule" type="button" role="tab" aria-controls="nav-home" aria-selected="true" href="#configureSchecduleTab">Configure LDAP Sync</button>
                    <button class="nav-link" id="schedule-type-tab" data-bs-toggle="tab" data-bs-target="#schedule-type" type="button" role="tab" aria-controls="nav-profile" aria-selected="false" href="#scheduleTypeTab">Enable LDAP Sync</button>
                  </div>
                </nav>
                <div class="tab-content" id="nav-tabContent">
                  <div class="tab-pane fade show active" id="configure-schedule" role="tabpanel" aria-labelledby="nav-home-tab">
                    <s:form id="configureschedules" action="saveschedules" method="post">
                        <div class="login-group test-config"><br/><br/>
                        <div class="row">
                            <div class="col-md-3">
                                <p class="input_field_fonts">Enable Group Sync:
                                    <a data-bs-toggle="tooltip"
                                     title="Enable Group Sync allows to sync groups from Active Directory to miniOrange automatically on a regular time interval">
                                        <i class="fas fa-info-circle"></i>
                                    </a>
                                </p>
                            </div>
                            <div class="col-md-3">
                                <label class="switch">
                                    <s:checkbox id="syncGroupsCreate"
                                                name="syncGroupsCreate"
                                                value="%{syncGroupsCreate}"
                                    />
                                    <div class="slider round"></div>
                                </label>
                            </div>
                        </div>
                        <br/>
                            <div class="row">
                                <div class="col-md-3">
                                    <p class="input_field_fonts">Enable User Sync:
                                        <a data-bs-toggle="tooltip"
                                           title="Enable Sync allows you to sync users from Active Directory to miniOrange automatically on a regular time interval">
                                            <i class="fas fa-info-circle"></i>
                                        </a>
                                    </p>
                                </div>
                                <div class="col-md-3">
                                    <label class="switch">
                                        <s:checkbox id="isSyncEnabled"
                                                    name="isSyncEnabled"
                                                    value="%{isSyncEnabled}" onChange="displayOptions()"
                                        />
                                        <div class="slider round"></div>
                                    </label>
                                </div>
                            </div>
                            <br/>
                            <div id="enableOptions" <s:if test= "!isSyncEnabled"> style='display: none'</s:if> >
                            <div class="row">
                                <div class="col-md-3">
                                    <p class="input_field_fonts">Enable User Group Membership Sync:
                                        <a data-bs-toggle="tooltip"
                                         title="Enable User Group Membership Sync allows you to sync users' group membership from Active Directory and auto-assign them into groups in miniOrange">
                                            <i class="fas fa-info-circle"></i>
                                        </a>
                                    </p>
                                </div>
                                <div class="col-md-3">
                                    <label class="switch">
                                        <s:checkbox id="syncGroupsEnable"
                                                    name="syncGroupsEnable"
                                                    value="%{syncGroupsEnable}"
                                        />
                                        <div class="slider round"></div>
                                    </label>
                                </div>
                            </div>
                            <br/>
                            <div class="row">
                                <div class="col-md-3">
                                    <p class="input_field_fonts">Enable Delete User Sync:
                                        <a data-bs-toggle="tooltip"
                                           title="Enable Delete User Sync allows the deletion of users in miniOrange when the users are deleted in the Active Directory">
                                            <i class="fas fa-info-circle"></i>
                                        </a>
                                    </p>
                                </div>
                                <div class="col-md-3">
                                    <label class="switch">
                                        <s:checkbox id="enableDeleteSync"
                                                    name="enableDeleteSync"
                                                    value="%{enableDeleteSync}" onChange="displayDeleteOptions()"/>
                                        <div class="slider round"></div>
                                    </label>
                                </div>
                            </div>
                                  <br/>

                                <div id="enableDeleteOptions" <s:if test= "!enableDeleteSync"> style='display: none'</s:if> >
                                <div class="row">
                                    <div class="col-md-3">
                                        <p class="input_field_fonts">Configure Exclusion List:
                                            <a data-bs-toggle="tooltip"
                                               title="Choose which miniOrange users you want to exclude from being deleted due to the sync. These users are the ones that are present only in miniOrange.">
                                                <i class="fas fa-info-circle"></i>
                                            </a>
                                        </p>
                                    </div>
                                     <div class="col-md-3">
                                      <a id="fetchSelectedUser" class="btn btn-primary orange-btn" data-bs-toggle="modal" data-bs-target="#selectUsers">Select Users</a>
                                    </div>
                                </div>
                                <br>
                                </div>
                                 <div class="row">
                                      <div class="col-md-3">

                                          <p class="input_field_fonts">Mark User as Registered in miniOrange:
                                              <a data-bs-toggle="tooltip"
                                                 title="Enable this to mark user as registered in miniOrange.">
                                                  <i class="fas fa-info-circle"></i>
                                              </a>
                                          </p>
                                      </div>
                                      <div class="col-md-3">
                                          <label class="switch">
                                              <s:checkbox id="enableUserRegistration"
                                                          name="enableUserRegistration"
                                                          value="%{enableUserRegistration}"/>
                                              <div class="slider round"></div>
                                          </label>
                                      </div>
                                 </div>
                                 <br/>
                            </div>
                            <div class="modal" role="dialog" tabindex="-1" aria-labelledby="selectUsers" aria-hidden="true"
                                         data-backdrop="false" id="selectUsers">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title">Select Users To Persist in miniOrange</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                </div>
                                                <div class="modal-body">
                                                <div class="filter-wrapper row">
                                                    <div class="col-md-6">
                                                        <span class="pull-left search-wrapper">
                                                            <input name="search" id="logssearchbox" class="logssearchbox" onkeyup="searchUsers(this.value,0)" placeholder="Search">
                                                            <buttom class="srch-btn"><i class="glyphicon glyphicon-search ldap-search"></i></buttom>
                                                        </span>
                                                    </div>

                                                </div>

                                                 <div class="row">
                                                    <table id="example" class="table table-hover table-condensed tablewrap table_header_font logs-table table-bordered">
                                                        <thead>
                                                        <tr>
                                                             <th><input id="select_all" value="1" type="checkbox"></th>
                                                            <th>Username</th>
                                                            <th>Email</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>

                                                      <s:hidden id="usernameEmailList" value="%{usernameEmailListJSON}" name="usernameEmailList"/>
                                                        <div class="no-record-found">
                                                            <h3 class="text-center">No Records Found!!</h3>
                                                        </div>
                                                         <div class="no-user-found">
                                                            <h3 class="text-center">No Users Found!!</h3>
                                                        </div>

                                                        <input type="hidden" id="miniorangeUsersList" name="miniorangeUsersList" value="">
                                                </div>

                                                </div>
                                                 <div class="pagination-wrapper" id="pagination-wrapper">
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-default" data-bs-dismiss="modal">Cancel</button>
                                                     <button id="deleteLdapSubmit" type="button" class="btn btn-primary btn-cnfrm" onclick="bulkaction()" data-bs-dismiss="modal">Apply</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <p class="input_field_fonts">Start Time(hh:mm):<span style="color:red">*</span>
                                        <a data-bs-toggle="tooltip"
                                           title="Specify start time for scheduler in 24 hr format">
                                            <i class="fas fa-info-circle"></i>
                                        </a>
                                    </p>
                                </div>
                                <div class="col-md-3">
                                    <s:select list="syncHoursList" name="syncHours" headerKey=""
                                              headerValue="Select Hour" cssClass="form-select" required="true"
                                              value="%{syncHours}"/>
                                </div>
                                <div class="col-md-3">
                                    <s:select list="syncMinList" name="syncMins" headerKey=""
                                              headerValue="Select Minutes" cssClass="form-select" placeholder="mm"
                                              required="true" value="%{syncMins}"/>
                                </div>
                            </div>
                            <br/>
                            <div class="row">
                                <div class="col-md-3">
                                    <p class="input_field_fonts">Sync Interval (in hrs):<span style="color:red">*</span>
                                        <a data-bs-toggle="tooltip"
                                           title="Interval at which scheduled sync repeats after start time.">
                                            <i class="fas fa-info-circle"></i>
                                        </a>
                                    </p>
                                </div>
                                <div class="col-md-3">
                                    <s:select list="syncIntervalList" name="syncInterval" headerKey=""
                                              headerValue="Select Interval Hours" cssClass="form-select" required="true"
                                              value="%{syncInterval}"/>
                                </div>
                            </div>
                            <br/>
                            <div class="row">
                                <div class="col-md-5 col-md-offset-3">
                                    <input type="submit" value="Save"
                                           class="btn btn-primary orange-btn"/> <a href="viewldaplist"></a>
                                </div>
                            </div>
                            <br> <br>
                        </div>
                    </s:form>
                </div>
                 <div class="tab-pane fade" id="schedule-type" role="tabpanel" aria-labelledby="nav-profile-tab">
                <br>
                <div class="container">
                    <s:if test="gatewayConfigurationList.size > 0">
                        <div <s:if test="isAddToScheduler">hidden</s:if>>
                            <div class="alert alert-primary" role="alert">
                                <i class="fa fa-info-circle"></i>&nbsp; All LDAP configuration for Sync are Disabled. Please enable atleast one LDAP configuration to perform Sync actions.
                            </div>
                        </div>
                    </s:if>
                    <s:else>
                        <div>
                            <div class="alert alert-primary" role="alert">
                                    <i class="fa fa-info-circle"></i>&nbsp; LDAP Connection is not configured. Please configure LDAP Connection by clicking on LDAP Connection in the side menu.
                            </div>
                        </div>
                    </s:else>

                    <div class="row">
                        <div class="col-lg-6 mb-4">
                            <div class="card text-dark bg-light mb-3">
                                <img class="card-img-top" src="" alt="">
                                <div class="card-body">
                                    <h5 class="card-title">Scheduled Sync</h5>
                                    <s:form id="scheduledsyncform" action="runscheduledsync" method="post">
                                        <p class="card-text">
                                           Click the button below to perform scheduled sync according to the configurations.
                                        </p>
                                        <s:if test="isAddToScheduler">
                                            <input type="submit"
                                                  <s:if test='enableScheduledSync'>
                                                      name="disable_scheduled_sync_button" value="Disable Scheduled Sync" class="btn btn-primary orange-btn"
                                                  </s:if>
                                                  <s:else>
                                                       name="enable_scheduled_sync_button" value="Enable Scheduled Sync" class="btn btn-primary orange-btn"
                                                  </s:else>
                                            />
                                        </s:if>
                                        <s:else>
                                            <input disabled name="enable_scheduled_sync_button" value="Enable Scheduled Sync" class="btn btn-primary orange-btn" />
                                        </s:else>
                                    </s:form>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 mb-4">
                            <div class="card text-dark bg-light mb-3">
                                <img class="card-img-top" src="" alt="">
                                <div class="card-body">
                                    <h5 class="card-title">One-Time Sync</h5>
                                     <s:form id="onetimesyncform" action="runonetimesync" method="post">
                                    <p class="card-text">
                                       Click the button below to perform one-time sync according to the configurations.
                                    </p>
                                    <s:if test="isAddToScheduler">
                                        <input value="Run One-time Sync"  type="submit"
                                           class="btn btn-primary orange-btn"/>
                                    </s:if>
                                    <s:else>
                                        <input disabled value="Run One-time Sync"
                                           class="btn btn-primary orange-btn"/>
                                    </s:else>
                                       </s:form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<jsp:include page="footer.jsp"/>
<script>

let displayOptions = (delay) => {
    if (delay == null) delay = 500;
    $('#enableUserRegistration').prop('checked', true);
    if ($('#isSyncEnabled').is(':checked')) {
        $('#enableOptions').slideDown(delay);
    } else {
        $('#enableOptions').slideUp(delay);
        $('#syncGroupsEnable').prop('checked',false);
        $('#enableDeleteSync').prop('checked',false);
        $('#enableDeleteOptions').slideUp(delay);
    }
}

let displayDeleteOptions = (delay) => {
    if (delay == null) delay = 500;
    if ($('#enableDeleteSync').is(':checked')) {
        $('#enableDeleteOptions').slideDown(delay);
    } else {
        $('#enableDeleteOptions').slideUp(delay);
    }
}

var allVals = [];

function bulkaction() {

				$("#bulkactionerror").html("");
				$('input:checkbox.usercheckbox').each(function() {
                    if(this.checked) {
                        removeItemAll(allVals, $(this).val());
                        allVals.push($(this).val());
                    }
                    else {
                        removeItemAll(allVals, $(this).val());
                    }
				});
				$("#miniorangeUsersList").val(allVals.toString());
				if (allVals.length == 0) {
					$("#bulkactionerror").html("Select Users.");
					return;
				}
		}

var currentRange = 1;
var numberOfEntries = 0;
var totalPagination = 0;
var pagination="";
var page = 0;
var usernameEmailListData, usernameEmailListJSON;
const paginationLimit = 5;
const numberOfEntriesPerPage = 5;
var order = "ASC";
var currentRequest = null;
var currentRequestForPagination = null;
var usersSelected = [];

$(document).ready(function(){

$(function() {

                $('button[data-bs-toggle="tab"]').on('shown.bs.tab', function (e) {
                    localStorage.setItem('lastTab', $(this).attr('href'));
                });

                var lastTab = localStorage.getItem('lastTab');
                console.log(lastTab)
                if (lastTab == "#scheduleTypeTab") {
                    $('#configure-schedule-tab').removeClass('active');
                    $('#configure-schedule').removeClass('active');
                    $('[href="' + lastTab + '"]').addClass('active');
                    $('#schedule-type').addClass('active');

                }
                else {
                    $('#schedule-type-tab').removeClass('active');
                    $('#schedule-type').removeClass('active');
                    $('[href="' + lastTab + '"]').addClass('active');
                    $('#configure-schedule').addClass('active');

                }
            });

    usernameEmailListData = $('#usernameEmailList').val();
    usernameEmailListJSON = JSON.parse(usernameEmailListData);
    for(i=0;i<usernameEmailListJSON.length;i++) {
        allVals.push(usernameEmailListJSON[i]);
    }
    order = "DESC";
});

function updateEntries(start){
    $('#example tbody').empty();
    getTableBody(start);
}

function updateEntriesForSearch(start,val){
    $('#example tbody').empty();
    searchUsers(val,start);
}

$("#fetchSelectedUser").click(()=>{
    $('#loading_image').show();
    $('#example tbody').empty();
    var tableBody = getTableBody(0);
    $("#example tbody").append(tableBody);
    $("#pagination-wrapper").empty();
    generatePagination();
})

function getTableBody(start){
    var tableBody="";
    $("#miniorangeUsersList").val(allVals.toString());

   currentRequest = jQuery.ajax({
            type : "POST",
            url : "showminiorangeusers",

            beforeSend : function()    {
            if(currentRequest != null) {
            currentRequest.abort();
            }
            },
            success : function(data) {
            numberOfEntries = Object.keys(data).length;
            var i = start;
            var j=0;

             if(numberOfEntries == 0) {
                    $('.no-user-found').show();
                }
                else {
                $.each(data , function( key, value ) {
                    if(j>=i && i<start+numberOfEntriesPerPage && i<numberOfEntries) {
                    if(allVals.includes(key)) {
                            tableBody += "<tr><td><input class='usercheckbox' type='checkbox' value='"+key+"' checked onChange='searchCheck()'> </td><td>"+key+"</td><td>"+value+"</td></tr>"
                         }
                        else {
                            tableBody += "<tr><td><input class='usercheckbox' type='checkbox' value='"+key+"' > </td><td>"+key+"</td><td>"+value+"</td></tr>"
                         }
                        i++;
                    }
                    j++;
                });
                }
            $('#example tbody').append(tableBody);
            $('#loading_image').hide();
            }
            });
}

function searchUsers(val,start){
    $('#loading_image').show();
      if(val !== ''){
        var tableBody = "";
        var searchVal = [];
        currentRequest = jQuery.ajax({
        type : "POST",
        url : "showminiorangeusers",

        beforeSend : function()    {
                if(currentRequest != null) {
                    currentRequest.abort();
                }
            },
        success : function(data) {
            if(start == 0) {
                $('.pagination-wrapper').empty();
            }
        $('#example tbody').empty();
        var countUser = 0;
        numberOfEntries = Object.keys(data).length;
        var i = start;
        var j=0;

        $.each(data , function( key, value ) {
            if(entryPresent(key,val)) {
                j++;
            }

        if(countUser< numberOfEntries && countUser < start+5) {
            if(entryPresent(key,val)) {
                if(countUser>=start) {
                    if(allVals.includes(key)) {
                    tableBody += "<tr><td><input class='usercheckbox' type='checkbox' value='"+key+"' checked  onChange='searchCheck()'> </td><td>"+key+"</td><td>"+value+"</td></tr>";
                }
                else {
                    tableBody += "<tr><td><input class='usercheckbox' type='checkbox' value='"+key+"' onChange='searchCheck()' > </td><td>"+key+"</td><td>"+value+"</td></tr>";
                }
                }
                countUser++;
                i++;
               }
            }
            });

            if(start == 0 ) {
                generatePaginationForSearch(j, val);
            }
             if(tableBody === "") {
                $('.pagination-wrapper').empty();
                $('.no-user-found').hide();
                $('.no-record-found').show();
            }
            else {
                $('.no-record-found').hide();
                $('.no-user-found').hide();
            }
            $('#loading_image').hide();
            $('#example tbody').append(tableBody);
            }
            });
            }
    else{
        $('.pagination-wrapper').empty();
        generatePagination();
        $('#example tbody').empty();
        var tableBody = getTableBody(0);
        $('.no-record-found').hide();
        $('.no-user-found').hide();
        $("#example tbody").append(tableBody);
    }
}

function searchCheck() {
    $('input:checkbox.usercheckbox').each(function() {
        if(this.checked) {
            removeItemAll(allVals, $(this).val());
            allVals.push($(this).val());
        }
        else {
            removeItemAll(allVals, $(this).val());
        }
        });

}

function removeItemAll(arr, value) {
    var i = 0;
    while (i < arr.length) {
    if (arr[i] === value) {
      arr.splice(i, 1);
    } else {
      ++i;
    }
    }
    return arr;
}

function entryPresent(usernameList,value){

    if(typeof usernameList === "undefined"){
        if(("undefined").includes(value))
            return true;
        return false;
    }

    if(usernameList.toLowerCase().includes(value.toLowerCase()) ) {

        return true;
    }
    return false;
}

function generatePagination(){

        currentRequestForPagination = jQuery.ajax({
        type : "POST",
        url : "showminiorangeusers",

        beforeSend : function()    {
                if(currentRequestForPagination != null) {
                    currentRequestForPagination.abort();
                }
            },
        success : function(data) {
            numberOfEntries = Object.keys(data).length;

            $("#pagination-wrapper").append(
                '<ul class="pagination position left-side">' +
                    '<li name ="myPrev" id="prev" class="disabled page-item shadow"><a class="page-link" value="prev" onclick="changeRange(this,0)">&laquo;</a></li>' +
                    ' <li name="myNext" id="next" class="next page-item shadow"><a class="page-link" value="next" onclick="changeRange(this,0)">&raquo;</a></li>' +
                    '</ul>'
            );

            totalPagination = Math.ceil(numberOfEntries/numberOfEntriesPerPage);
            for(var i=1;i<=totalPagination;i++){
                $('<li id="nav'+i+'" class="page-item shadow"><a class="page-link" value='+i+' onclick="changeRange(this,0)">'+i+'</a></li>').insertBefore('.pagination li#next');
            }
            currentRange = Math.floor(page/paginationLimit);
            for(var i=0; i<paginationLimit;i++){
                pagination += "#nav"+(i+1)+",";
            }
            if(currentRange == 0)currentRange++;
            $('.pagination li').not(pagination+'#next,#prev').hide();
            if(totalPagination < (paginationLimit+1))
                $('.pagination li#next').addClass('disabled');

            $("#nav1 a").css({"background-color": "#337ab7","color": "#fff"});
             }
            });
}

function generatePaginationForSearch(searchVal,val){

    $("#pagination-wrapper").append(
        '<ul class="pagination position left-side">' +
        '<li name ="myPrev" id="prev" class="disabled page-item shadow"><a class="page-link" value="prev" onclick="changeRange(this,\''+val+'\')">&laquo;</a></li>' +
        ' <li name="myNext" id="next" class="next page-item shadow"><a class="page-link" value="next" onclick="changeRange(this,\''+val+'\')">&raquo;</a></li>' +
        '</ul>'
        );


        totalPagination = Math.ceil(searchVal/numberOfEntriesPerPage);
        for(var i=1;i<=totalPagination;i++){
        $('<li id="nav'+i+'" class="page-item shadow"><a class="page-link" value='+i+' onclick="changeRange(this,\''+val+'\')">'+i+'</a></li>').insertBefore('.pagination li#next');
        }

        currentRange = Math.floor(page/paginationLimit);
        for(var i=0; i<paginationLimit;i++){
        pagination += "#nav"+(i+1)+",";
        }
        if(currentRange == 0)currentRange++;
        $('.pagination li').not(pagination+'#next,#prev').hide();
        if(totalPagination < (paginationLimit+1))
        $('.pagination li#next').addClass('disabled');

        $("#nav1 a").css({"background-color": "#337ab7","color": "#fff"});

}


function changeRange(scope,search){

    $('#loading_image').show();
    if(scope.getAttribute('value') == "next"){
        if(currentRange*paginationLimit < totalPagination){
            $('.pagination li').not('#next,#prev').hide();
            currentRange++;
            var nextlimit = (currentRange*paginationLimit)+1;
            for(var i = nextlimit-paginationLimit; i < nextlimit; i++)
                $('#nav'+i).show();
            $('.pagination li#prev').removeClass('disabled');
            if(currentRange*paginationLimit >= totalPagination)
                $('.pagination li#next').addClass('disabled');
            if(paginationLimit == 1){
                updateEntries(currentRange*numberOfEntriesPerPage);
            }
        }
    }
    else if(scope.getAttribute('value') == "prev"){
        if(currentRange > 1){
            $('.pagination li').not('#next,#prev').hide();
            currentRange--;
            var nextlimit = (currentRange*paginationLimit)+1;
            for(var i = nextlimit-paginationLimit; i < nextlimit; i++)
                $('#nav'+i).show();
            $('.pagination li#next').removeClass('disabled');
            if(currentRange == 1)
                $('.pagination li#prev').addClass('disabled');
            if(paginationLimit == 1){
                updateEntries(currentRange*numberOfEntriesPerPage);
            }
        }
    }
    else{
        page = scope.getAttribute('value');
        page = page - 1;
        $('.pagination>li>a').css({"color": "#337ab7","background-color": "#fff"});
        $(scope).css({"background-color": "#337ab7","color": "#fff"});
        $("#bulkactionerror").html("");

                $('input:checkbox.usercheckbox').each(function() {
					if(allVals.includes(this.value)) {
                        this.checked = true;
                    }
				});
				$('input:checkbox.usercheckbox').each(function() {
                    if(this.checked) {
                        removeItemAll(allVals, $(this).val());
                        allVals.push($(this).val());
                    }
                    else {
                        removeItemAll(allVals, $(this).val());
                    }
				});
                if(search==0) {
                    updateEntries(page*numberOfEntriesPerPage);
                }
                else {
                    updateEntriesForSearch(page*numberOfEntriesPerPage,search);
                }
    }
}

 $(document).ready(function() {
        if (sessionStorage.getItem("usersSelected") != null) {
            usersSelected = sessionStorage
                    .getItem("usersSelected");
            usersSelected = JSON.parse(usersSelected);
            $('.usercheckbox').each(function(index, html) {
                if (usersSelected.indexOf(html.value) > -1) {
                    this.checked = true;
                }
            });
        }

        $("#select_all").click(function() {
            if ($("#select_all").is(':checked'))
                $('.usercheckbox').prop('checked',true);
            else
                $('.usercheckbox').prop('checked',false);
        });

        $(".usercheckbox").click(function() {

            var isallselected = true;
            $('.usercheckbox').each(function() {
                if (!this.checked) {
                    isallselected = false;
                    return false;
                }
            });
            if (isallselected) {
                $('#select_all').prop('checked', true);
            }
        });

        $('.usercheckbox').change(function() {
            if (!$(this).is(":checked")) {
                $("#select_all").attr(
                        "checked", false);
                removeValueFromSession($(this)
                        .val());
            } else {
                if (this.checked)
                    addValueInSession($(this)
                            .val());
            }
        });

        $('#select_all').change(function() {
            if (!$(this).is(":checked")) {
                $('.usercheckbox').each(function(index,html) {
                    removeValueFromSession(html.value);
                    removeItemAll(allVals, $(this).val())
                });
            } else {
                $('.usercheckbox').each(function(index,html) {
                    // if the checkbox is not already checked, prevents duplicate values in session
                    if (usersSelected
                            .indexOf(html.value) == -1)
                        addValueInSession(html.value);
                });
            }
        });

        function addValueInSession(value) {
            if (sessionStorage.getItem("usersSelected") != null) {
                usersSelected = sessionStorage
                        .getItem("usersSelected");
                usersSelected = JSON
                        .parse(usersSelected);
                usersSelected.push(value);
                sessionStorage.setItem("usersSelected",
                        JSON.stringify(usersSelected));
            } else {
                usersSelected.push(value);
                sessionStorage.setItem("usersSelected",
                        JSON.stringify(usersSelected));
            }
        }

        function removeValueFromSession(value) {
            if (sessionStorage.getItem("usersSelected") != null) {
                usersSelected = sessionStorage
                        .getItem("usersSelected");
                usersSelected = JSON
                        .parse(usersSelected);
                if (usersSelected.indexOf(value) > -1) {
                    usersSelected.remove(value);
                    sessionStorage.setItem("usersSelected",
                    JSON.stringify(usersSelected));
                }
            }
        }

        Array.prototype.remove = function(elem) {
            var match = -1;
            while ((match = this.indexOf(elem)) > -1) {
                this.splice(match, 1);
            }
        };
    });

</script>
</body>
</html>